## netpbm-free 9.20

=== pbm/Makefile ===
SRCDIR = ..
SRCSUBDIR = $(SRCDIR)/pbm
BUILDDIR = ..

include $(BUILDDIR)/Makefile.config


INCLUDE = -I$(SRCDIR)/shhopt

# Shared library naming
LIBROOT = pbm
LIBPBM = $(NETPBMSHLIBPREFIX)$(LIBROOT).$(NETPBMLIBSUFFIX)
ifeq ($(STATICLIB_TOO),y)
EXTRA_STATICLIB = lib$(LIBROOT).$(STATICLIBSUFFIX)
else
EXTRA_STATICLIB =
endif

MAJ = 9
MIN = 19

LIBLIBS = 
NETPBMLIBS = $(LIBPBM)

PORTBINARIES =	atktopbm brushtopbm cmuwmtopbm g3topbm \
		icontopbm macptopbm mdatopbm mgrtopbm \
		pbmclean pbmlife pbmmake pbmmask pbmpscale \
		pbmreduce pbmtext \
		pbmto10x pbmtoascii pbmtoatk \
		pbmtobbnbg pbmtocmuwm \
		pbmtoepsi pbmtoepson \
		pbmtog3 pbmtogem pbmtogo pbmtoicon pbmtolj \
		pbmtomacp pbmtomda pbmtomgr pbmtonokia \
		pbmtopi3 pbmtoplot pbmtopsg3 pbmtoptx pbmtowbmp \
		pbmtox10bm pbmtoxbm pbmtoybm pbmtozinc \
		pbmupc pi3topbm \
		wbmptopbm xbmtopbm ybmtopbm	

ifneq ($(LEX)x,x)
  PORTBINARIES += thinkjettopbm
endif

#pbmpage uses sqrt(), which is sometimes in libc, not libm.  Is it ever
#in libm?
MATHBINARIES =	pbmpage
BINARIES =	$(PORTBINARIES) $(MATHBINARIES)

OBJECTS = $(patsubst %, %.o, $(BINARIES))

MERGEBINARIES = $(BINARIES)
MERGE_OBJECTS = $(patsubst %,%.o2, $(MERGEBINARIES))

# Library objects to be built and linked by Makefile.common:
LIBOBJECTS = libpm.o libpbm1.o libpbm2.o libpbm3.o libpbm4.o libpbm5.o 
ifneq (${VMS}x,x)
LIBOBJECTS += libpbmvms.o
endif
# Library objects to be linked but not built by Makefile.common:
LIBOBJECTS_X = $(BUILDDIR)/shhopt/shhopt.o

MANUALS1 =	$(BINARIES)
MANUALS3 =	libpbm
MANUALS5 =	pbm

MERGENAME = pbmmerge

INTERFACE_HEADERS = pm.h pbm.h

.PHONY: all
all:	$(LIBPBM) $(BINARIES) $(EXTRA_STATICLIB)
	$(MAKE) -C pbmtoppa all

.PHONY: merge
merge: $(MERGENAME)
	$(MAKE) -C pbmtoppa all

.PHONY: install.bin
install.bin: install.bin.common
	$(MAKE) -C pbmtoppa install.bin

.PHONY: install.merge
install.merge: install.merge.common
	$(MAKE) -C pbmtoppa install.bin

.PHONY: install.lib
install.lib: install.lib.common

.PHONY: install.man
install.man: install.man.common
	$(MAKE) -C pbmtoppa install.man

HEADERLINKS = pm_config.h version.h compile.h

include $(SRCDIR)/Makefile.common

# Note that we create a new compile.h only for the first make after a
# make clean.  This is good enough.  We used to do stamp-date for
# every build of "all" from the Netpbm top directory, but nowhere
# else, so it was really sloppy.

compile.h:
	$(SRCDIR)/stamp-date

$(BUILDDIR)/shhopt/shhopt.o:
	cd ../shhopt; $(MAKE) shhopt.o
$(BUILDDIR)/shhopt/libshhopt.a:
	cd ../shhopt; $(MAKE) libshhopt.a

.PHONY: clean
clean: clean.common
	rm -f thinkjettopbm.c
	$(MAKE) -C pbmtoppa clean

FORCE:

=== pgm/Makefile ===
SRCDIR = ..
BUILDDIR = ..
include $(BUILDDIR)/Makefile.config

LIBROOT = pgm
LIBPGM = $(NETPBMSHLIBPREFIX)$(LIBROOT).$(NETPBMLIBSUFFIX)
MAJ = 9
MIN = 19

ifeq ($(STATICLIB_TOO),y)
EXTRA_STATICLIB = lib$(LIBROOT).$(STATICLIBSUFFIX)
else
EXTRA_STATICLIB =
endif

PBMDIR = $(BUILDDIR)/pbm
LIBPBM = $(NETPBMSHLIBPREFIX)pbm.$(NETPBMLIBSUFFIX)

INCLUDE = -I$(SRCDIR)/shhopt

NETPBMLIBS = $(LIBPGM) $(PBMDIR)/$(LIBPBM)
LIBLIBS = $(PBMDIR)/$(LIBPBM)

PORTBINARIES =	asciitopgm bioradtopgm fstopgm hipstopgm \
		lispmtopgm pbmtopgm pgmbentley pgmenhance pgmhist \
		pgmnoise pgmnorm pgmramp pgmslice pgmtofs pgmtolispm \
		pgmtopbm psidtopgm sbigtopgm
MATHBINARIES =	pgmcrater pgmedge pgmtexture rawtopgm pgmkernel
BINARIES =	$(PORTBINARIES) $(MATHBINARIES)

OBJECTS = $(patsubst %, %.o, $(BINARIES))
MERGEBINARIES = $(BINARIES)
MERGE_OBJECTS = $(patsubst %,%.o2, $(MERGEBINARIES))

LIBOBJECTS = libpgm1.o libpgm2.o

MANUALS1 =	$(BINARIES)
MANUALS3 =	libpgm
MANUALS5 =	pgm

MERGENAME = pgmmerge

INTERFACE_HEADERS = pgm.h

.PHONY: all
all:	$(PGMLIB) $(BINARIES) $(EXTRA_STATICLIB)
.PHONY: merge
merge: $(MERGENAME)

# LIBRARIES

$(PBMDIR)/$(LIBPBM): FORCE
	cd $(PBMDIR) ; $(MAKE) $(LIBPBM)

.PHONY: install.bin
install.bin: install.bin.common
# pamoil replaced pgmoil in June 2001.
	cd $(INSTALLBINARIES) ; \
	rm -f pnmnoraw ; \
	$(SYMLINK) pamoil pgmoil

.PHONY: install.merge
install.merge: install.merge.common

.PHONY: install.lib
install.lib: install.lib.common

.PHONY: install.man
install.man: install.man.common

HEADERLINKS = pm_config.h pm.h pbm.h libpbm.h

include $(SRCDIR)/Makefile.common

.PHONY: clean
clean: clean.common

FORCE:

=== pnm/Makefile ===
SRCDIR = ..
BUILDDIR = ..
include $(BUILDDIR)/Makefile.config

LIBROOT = pnm
LIBPNM = $(NETPBMSHLIBPREFIX)$(LIBROOT).$(NETPBMLIBSUFFIX)
MAJ = 9
MIN = 16

ifeq ($(STATICLIB_TOO),y)
EXTRA_STATICLIB = lib$(LIBROOT).$(STATICLIBSUFFIX)
else
EXTRA_STATICLIB =
endif

PPMDIR = $(BUILDDIR)/ppm
LIBPPM = $(NETPBMSHLIBPREFIX)ppm.$(NETPBMLIBSUFFIX)

PGMDIR = $(BUILDDIR)/pgm
LIBPGM = $(NETPBMSHLIBPREFIX)pgm.$(NETPBMLIBSUFFIX)

PBMDIR = $(BUILDDIR)/pbm
LIBPBM = $(NETPBMSHLIBPREFIX)pbm.$(NETPBMLIBSUFFIX)

TIFFDIR = $(BUILDDIR)/libtiff
LIBTIFF = $(NETPBMSHLIBPREFIX)tiff.$(NETPBMLIBSUFFIX)

URTDIR = $(BUILDDIR)/urt
LIBURT = librle.a

INCLUDE = -I$(SRCDIR)/shhopt
ifneq ($(TIFFHDR_DIR),NONE)
  INCLUDE += -I$(TIFFHDR_DIR)
endif
ifneq ($(PNGHDR_DIR),NONE)
  INCLUDE += -I$(PNGHDR_DIR)
  INCLUDE += -I$(ZHDR_DIR)
endif
ifneq ($(JPEGHDR_DIR),NONE)
  INCLUDE += -I$(JPEGHDR_DIR)
endif
ifneq ($(URTHDR_DIR),NONE)
  INCLUDE += -I$(URTHDR_DIR)
endif

# The order of these libraries is important for static library build
NETPBMLIBS = $(LIBPNM) \
           $(PPMDIR)/$(LIBPPM) $(PGMDIR)/$(LIBPGM) $(PBMDIR)/$(LIBPBM) 
LIBLIBS =  $(PPMDIR)/$(LIBPPM) $(PGMDIR)/$(LIBPGM) $(PBMDIR)/$(LIBPBM) 

ifeq ($(JPEGLIB_DIR),NONE)
  JPEGLD =
else
  JPEGLD = -L$(JPEGLIB_DIR) -ljpeg
  ifeq ($(NEED_RUNTIME_PATH),Y)
    JPEGLD += -R$(JPEGLIB_DIR)
  endif
endif

ifeq ($(PNGLIB_DIR),NONE)
  PNGLD =
else
  PNGLD = -L$(PNGLIB_DIR) -lpng
  ifeq ($(NEED_RUNTIME_PATH),Y)
    PNGLD += -R$(PNGLIB_DIR)
  endif
endif

ifeq ($(URTLIB_DIR),NONE)
  URTLD =
else
  URTLD = -L$(URTLIB_DIR) -lrle
  ifeq ($(NEED_RUNTIME_PATH),Y)
    URTLD += -R$(URTLIB_DIR)
  endif
endif

ifeq ($(TIFFLIB_DIR),NONE)
  TIFFLD =
else
  TIFFLD = -L$(TIFFLIB_DIR) -ltiff
  ifeq ($(NEED_RUNTIME_PATH),Y)
    TIFFLD += -R$(TIFFLIB_DIR)
  endif
endif

ifeq ($(ZLIB_DIR),NONE)
  ZLD =
else
  ZLD = -L$(ZLIB_DIR) -lz
  ifeq ($(NEED_RUNTIME_PATH),Y)
    ZLD += -R$(ZLIB_DIR)
  endif
endif



# We tend to separate out the build targets so that we don't have
# any more dependencies for a given target than it really needs.
# That way, if there is a problem with a dependency, we can still
# successfully build all the stuff that doesn't depend upon it.
# This package is so big, it's useful even when some parts won't 
# build.

PORTBINARIES =  fitstopnm gemtopnm giftopnm pamcut \
		pamfile pamoil \
		pnmalias pnmarith pnmcat pnmcomp pnmconvol pnmcrop \
		pnmcut pnmdepth pnmenlarge pnmfile pnmflip pnmhisteq \
		pnmhistmap pnminterp pnminvert pnmmontage pnmpad pnmpaste \
		pnmsmooth pnmsplit pnmtile pnmtoddif pnmtofits \
		pnmtoplainpnm pnmtops pnmtorast \
		pnmtosgi pnmtosir pnmtoxwd pstopnm \
		rasttopnm sgitopnm sirtopnm xwdtopnm zeisstopnm
MATHBINARIES =	pnmgamma pnmnlfilt pnmpsnr pnmrotate \
	pnmscale pnmscalefixed pnmshear

# We don't include programs that have special library dependencies in the
# merge scheme, because we don't want those dependencies to prevent us
# from building all the other programs.

NOMERGEBINARIES = 
ifneq ($(PNGHDR_DIR),NONE)
  ifneq ($(PNGLIB_DIR),NONE)
    NOMERGEBINARIES += pnmtopng pngtopnm
  endif
endif
ifneq ($(JPEGHDR_DIR),NONE)
  ifneq ($(JPEGLIB_DIR),NONE)
    NOMERGEBINARIES += jpegtopnm pnmtojpeg
  endif
endif
ifneq ($(TIFFHDR_DIR),NONE)
  ifneq ($(TIFFLIB_DIR),NONE)
    NOMERGEBINARIES += tifftopnm pnmtotiff pnmtotiffcmyk
  endif
endif
ifneq ($(URTHDR_DIR),NONE)
  ifneq ($(URTLIB_DIR),NONE)
    NOMERGEBINARIES +=  rletopnm pnmtorle
  endif
endif

MERGEBINARIES = $(PORTBINARIES) $(MATHBINARIES)


BINARIES = $(MERGEBINARIES) $(NOMERGEBINARIES)
SCRIPTS = anytopnm pnmindex pnminterp-gen pnmmargin
# MERGE_ALIASES is additional names to be linked to the merge binary which are
# alternate names for a program whose source is called something else.
# Every name here must be referenced in pnmmerge.c.
MERGE_ALIASES = pnmnoraw gemtopbm

OBJECTS = $(patsubst %, %.o, $(BINARIES)) exif.o

MERGE_OBJECTS = $(patsubst %,%.o2, $(MERGEBINARIES))

LIBOBJECTS = libpnm1.o libpnm2.o libpnm3.o libpnm4.o libpam.o

MANUALS1 = $(BINARIES) $(SCRIPTS)
MANUALS3 = libpnm
MANUALS5 = pam pnm

MERGENAME = pnmmerge

INTERFACE_HEADERS = pnm.h

.PHONY: all
all: $(LIBPNM) $(BINARIES) $(EXTRA_STATICLIB)
ifneq ($(BUILD_FIASCO), N) 
	$(MAKE) -C fiasco all
endif
	$(MAKE) -C jbig all
	$(MAKE) -C pnmtopalm all
PHONY: merge
merge:    $(MERGENAME) $(NOMERGEBINARIES)
ifneq ($(BUILD_FIASCO), N) 
	$(MAKE) -C fiasco all
endif
	$(MAKE) -C jbig all
	$(MAKE) -C pnmtopalm all

# The Tiff library references math functions.
tifftopnm pnmtotiff pnmtotiffcmyk: %: %.o $(NETPBMLIBS) $(LIBOPT)
	$(LD) $(LDFLAGS) -o $@ $@.o `$(LIBOPT) $(NETPBMLIBS)` \
	  $(TIFFLD) $(JPEGLD) -lm $(TIFFLIB_LDFLAGS) $(CDEBUG)

pngtopnm pnmtopng: %: %.o $(NETPBMLIBS) $(LIBOPT)
	$(LD) $(LDFLAGS) -o $@ $@.o `$(LIBOPT) $(NETPBMLIBS)` \
	  $(PNGLD) $(ZLD) -lm $(CDEBUG)

jpegtopnm: %: %.o exif.o $(NETPBMLIBS) $(LIBOPT)
	$(LD) $(LDFLAGS) -o $@ $< exif.o `$(LIBOPT) $(NETPBMLIBS)` $(JPEGLD) \
	   -lm $(CDEBUG) 

pnmtojpeg: %: %.o $(NETPBMLIBS) $(LIBOPT)
	$(LD) $(LDFLAGS) -o $@ $@.o `$(LIBOPT) $(NETPBMLIBS)` \
	  -L$(JPEGLIB_DIR) -ljpeg $(CDEBUG)

ifeq ($(URTLIB_DIR),$(URTDIR))
# We're using the internal URT library, so make sure it's built
URTLIB_DEP = $(URTDIR)/$(LIBURT)
else
# It's user's own URT library, so if it doesn't exist now -- too bad.
URTLIB_DEP = 
endif

rletopnm pnmtorle: %: %.o $(NETPBMLIBS) $(LIBOPT) $(URTLIB_DEP)
	$(LD) $(LDFLAGS) -o $@ $@.o `$(LIBOPT) $(NETPBMLIBS)` \
	  $(URTLD) $(CDEBUG)

# And libraries.
$(PBMDIR)/$(LIBPBM): FORCE
	$(MAKE) -C $(PBMDIR) $(LIBPBM)
$(PGMDIR)/$(LIBPGM): FORCE
	$(MAKE) -C $(PGMDIR) $(LIBPGM)
$(PPMDIR)/$(LIBPPM): FORCE
	$(MAKE) -C $(PPMDIR) $(LIBPPM)
$(URTDIR)/$(LIBURT): FORCE
	$(MAKE) -C $(URTDIR) $(LIBURT)

HEADERLINKS = pm_config.h pm.h pbm.h libpbm.h pgm.h libpgm.h ppm.h libppm.h ppmcmap.h

include $(SRCDIR)/Makefile.common

.PHONY: install.bin
install.bin: install.bin.common
# Remember that $(SYMLINK) might just be a copy command.
# backward compatibility: program used to be named pnmnoraw
	cd $(INSTALLBINARIES) ; \
	rm -f pnmnoraw ; \
	$(SYMLINK) pnmtoplainpnm$(EXE) pnmnoraw
# backward compatibility: program used to be gemtopbm
	cd $(INSTALLBINARIES) ; \
	rm -f gemtopbm ; \
	$(SYMLINK) gemtopnm$(EXE) gemtopbm
# In October 2001, pnmtojpeg replaced ppmtojpeg
	cd $(INSTALLBINARIES) ; \
	rm -f ppmtojpeg ; \
	$(SYMLINK) pnmtojpeg$(EXE) ppmtojpeg
ifneq ($(BUILD_FIASCO), N) 
	$(MAKE) -C fiasco install.bin
endif
	$(MAKE) -C jbig install.bin
	$(MAKE) -C pnmtopalm install.bin

.PHONY: install.merge
install.merge: install.merge.common
ifneq ($(BUILD_FIASCO), N) 
	$(MAKE) -C fiasco install.bin
endif
	$(MAKE) -C jbig install.bin
	$(MAKE) -C pnmtopalm install.bin

.PHONY: install.lib
install.lib: install.lib.common

.PHONY: install.man
install.man: install.man.common
ifneq ($(BUILD_FIASCO), N) 
	$(MAKE) -C fiasco install.man
endif
	$(MAKE) -C jbig install.man
	$(MAKE) -C pnmtopalm install.man

.PHONY: clean
clean: clean.common
	$(MAKE) -C fiasco clean
	$(MAKE) -C jbig clean
	$(MAKE) -C pnmtopalm clean

FORCE:

=== ppm/Makefile ===
SRCDIR = ..
BUILDDIR = ..
include $(BUILDDIR)/Makefile.config

LIBROOT = ppm
LIBPPM = $(NETPBMSHLIBPREFIX)$(LIBROOT).$(NETPBMLIBSUFFIX)
MAJ = 9
MIN = 16

ifeq ($(STATICLIB_TOO),y)
EXTRA_STATICLIB = lib$(LIBROOT).$(STATICLIBSUFFIX)
else
EXTRA_STATICLIB =
endif

PGMDIR = $(BUILDDIR)/pgm
LIBPGM = $(NETPBMSHLIBPREFIX)pgm.$(NETPBMLIBSUFFIX)

PBMDIR = $(BUILDDIR)/pbm
LIBPBM = $(NETPBMSHLIBPREFIX)pbm.$(NETPBMLIBSUFFIX)

INCLUDE= -I$(SRCDIR)/shhopt

NETPBMLIBS = $(LIBPPM) $(PBMDIR)/$(LIBPBM) $(PGMDIR)/$(LIBPGM)
LIBLIBS = $(PBMDIR)/$(LIBPBM) $(PGMDIR)/$(LIBPGM)

PORTBINARIES =	411toppm bmptoppm eyuvtoppm gouldtoppm ilbmtoppm imgtoppm \
		leaftoppm mtvtoppm pcxtoppm pgmtoppm pi1toppm picttoppm \
		pjtoppm neotoppm \
		ppm3d ppmbrighten ppmchange ppmcolormask \
		ppmdim ppmdist ppmdither \
		ppmflash ppmhist ppmmake ppmmix ppmnorm \
		ppmquant ppmrelief ppmshift ppmspread ppmtoacad \
		ppmtobmp ppmtoeyuv ppmtoleaf \
		ppmtoicr ppmtoilbm ppmtolj ppmtomitsu \
		ppmtopcx ppmtopgm ppmtopi1 ppmtopict ppmtopj \
		ppmtopuzz ppmtorgb3 ppmtosixel \
		ppmtotga ppmtouil ppmtowinicon ppmtoxpm ppmtoyuv \
		ppmtoyuvsplit ppmtv ppmtoneo \
		qrttoppm rawtoppm rgb3toppm sldtoppm spctoppm \
		sputoppm tgatoppm winicontoppm ximtoppm xpmtoppm xvminitoppm \
		yuvtoppm yuvsplittoppm

# We don't build vidtoppm by default, because it requires special libraries
# and there is no known requirement for vidtoppm.


MERGEBINARIES = $(PORTBINARIES) $(MATHBINARIES)
NOMERGEBINARIES =

MATHBINARIES = ppmcie ppmforge ppmlabel ppmntsc ppmpat ppmqvga ppmtomap
BINARIES = $(MERGEBINARIES) $(NOMERGEBINARIES) 
SCRIPTS = ppmfade ppmrainbow ppmquantall ppmshadow

OBJECTS = $(patsubst %, %.o, $(BINARIES))

MERGE_OBJECTS = $(patsubst %,%.o2, $(MERGEBINARIES))

LIBOBJECTS = libppm1.o libppm2.o libppmcmap.o libppm4.o libppm5.o \
	libppmfloyd.o bitio.o

MANUALS1 = $(BINARIES) $(SCRIPTS)
MANUALS3 = libppm
MANUALS5 = ppm

MERGENAME= ppmmerge

INTERFACE_HEADERS = ppm.h ppmcmap.h ppmfloyd.h

.PHONY: all
all: $(LIBPPM) $(BINARIES) $(EXTRA_STATICLIB)
	$(MAKE) -C ppmtompeg all
.PHONY: merge
merge:      $(MERGENAME) $(NOMERGEBINARIES)
	$(MAKE) -C ppmtompeg all

# And libraries.
$(PBMDIR)/$(LIBPBM): FORCE
	cd $(PBMDIR) ; $(MAKE) $(LIBPBM)
$(PGMDIR)/$(LIBPGM): FORCE
	cd $(PGMDIR) ; $(MAKE) $(LIBPGM)

.PHONY: install.bin
install.bin: install.bin.common
	$(MAKE) -C ppmtompeg install.bin

.PHONY: install.merge
install.merge: install.merge.common
	$(MAKE) -C ppmtompeg install.bin

.PHONY: install.lib
install.lib: install.lib.common

.PHONY: install.man
install.man: install.man.common
	$(MAKE) -C ppmtompeg install.man

HEADERLINKS = pm_config.h pm.h pbm.h libpbm.h pbmfont.h pgm.h libpgm.h

include $(SRCDIR)/Makefile.common

.PHONY: clean
clean: clean.common
	$(MAKE) -C ppmtompeg clean

FORCE:

=== shhopt/Makefile ===
SRCDIR = ..
include $(SRCDIR)/Makefile.config

# $Id: Makefile,v 1.10 2000/03/10 08:45:19 sverrehu Exp $
DIST		= shhopt
VERMAJ		= 1
VERMIN		= 1
VERPAT		= 6
VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)

# Define SHARED as 1 for Linux shared ELF library
#SHARED		= 1

ifeq ($(SHARED),1)
LIBTARGET	= lib$(DIST).so.$(VERSION)
LIBTARGETSO	= lib$(DIST).so
LIBTARGETSOMAJ	= $(LIBTARGETSO).$(VERMAJ)
CCSHRD		= -fPIC
else
LIBTARGET	= lib$(DIST).a
endif

LIBHEAD		= $(DIST).h
TARGETS		= $(LIBTARGET)

INSTBASEDIR	= /usr/local
INSTLIBDIR	= $(INSTBASEDIR)/lib
INSTINCDIR	= $(INSTBASEDIR)/include
INSTALL		= install -m 644
INSTALLPROG	= install -m 755
MKDIRP		= install -d -m 755

#CC		= gcc
OPTIM		= -O2

INCDIR		= -I.

#CCOPT		= -s -Wall $(OPTIM) $(INCDIR)
CCOPT		= $(CFLAGS) $(CFLAGS_SHLIB) $(INCDIR) $(CDEBUG)

# Object files to store in the library
LIBOBJS		= shhopt.o


all: $(TARGETS)

# don't worry if you get ranlib not found errors.  This probably means
# that your ar does an implicit ranlib and you do not need to run ranlib
# separately.  This error is harmless.
$(LIBTARGET): $(LIBOBJS)
ifeq ($(SHARED),1)
	$(CC) -shared -Wl,-soname,$(LIBTARGETSOMAJ) -o $(LIBTARGET) $(LIBOBJS)
else
	ar rc $(LIBTARGET) $(LIBOBJS)
ifneq ($(RANLIB)x,x)
	$(RANLIB) $(LIBTARGET) || true
endif
endif

# Note that you may need GNU's -liberty if your libc lacks strtoul
example: $(LIBTARGET) example.o
	$(CC) -o example example.c \
		-L. -I. -L$(INSTLIBDIR) -I$(INSTINCDIR) -lshhopt

.c.o:
	$(CC) $(CCSHRD) -o $@ -c $(CCOPT) $<

depend dep:
	$(CC) $(INCDIR) -MM *.c >depend

install: $(LIBTARGET)
	$(MKDIRP) $(INSTLIBDIR) $(INSTINCDIR)
	$(INSTALL) $(LIBTARGET) $(INSTLIBDIR)
	$(INSTALL) $(LIBHEAD) $(INSTINCDIR)
ifeq ($(SHARED),1)
# The following is a little more complex than seems necessary because of
# the fact that $(SYMLINK) might just be a copy command.
	cd $(INSTLIBDIR); \
	rm -f $(LIBTARGETSOMAJ) ; \
	$(SYMLINK) $(LIBTARGET) $(LIBTARGETSOMAJ) ; \
	rm -f $(LIBTARGETSO) ; \
	$(SYMLINK) $(LIBTARGETSOMAJ) $(LIBTARGETSO)
	echo "If you use GNU/Linux, remember to run ldconfig"
endif

clean:
	rm -f *.o *.i *.s core *~ depend $(TARGETS)

chmod:
	chmod a+r *

# To let the author make a distribution. The rest of the Makefile
# should be used by the author only.
LSMFILE		= $(DIST)-$(VERSION).lsm
DISTDIR		= $(DIST)-$(VERSION)
DISTFILE	= $(DIST)-$(VERSION).tar.gz
DISTFILES	= README INSTALL CREDITS ChangeLog \
		  Makefile $(LSMFILE) \
		  $(LIBHEAD) \
		  shhopt.c \
		  example.c

$(LSMFILE): $(DIST).lsm.in
	VER=$(VERSION); \
	DATE=`date "+%d%b%y"|tr '[a-z]' '[A-Z]'`; \
	sed -e "s/VER/$$VER/g;s/DATE/$$DATE/g" $(DIST).lsm.in > $(LSMFILE)

veryclean: clean
	rm -f $(TARGETS) $(DISTFILE) $(LSMFILE) example

dist: $(LSMFILE) chmod
	mkdir $(DISTDIR)
	chmod a+rx $(DISTDIR)
	ln $(DISTFILES) $(DISTDIR)
	tar -cvzf $(DISTFILE) $(DISTDIR)
	chmod a+r $(DISTFILE)
	rm -rf $(DISTDIR)

ifeq (depend,$(wildcard depend))
include depend
endif

=== urt/Makefile ===
SRCDIR = ..

include $(SRCDIR)/Makefile.config

OBJECTS = Runput.o cmd_name.o \
	rle_addhist.o rle_error.o rle_getcom.o rle_getrow.o rle_getskip.o \
	rle_global.o rle_hdr.o rle_open_f.o rle_putcom.o rle_putrow.o \
        rle_row_alc.o \
        scanargs.o vaxshort.o     

all: librle.a

librle.a: $(OBJECTS)
	rm -f $@
	ar rc $@ $^
#ifneq ($(RANLIB)x,x)
	$(RANLIB) $@
#endif

# Rule for objects.
$(OBJECTS): %.o: %.c
	$(CC) -c $(CFLAGS) -o $@ $<

.PHONY: clean
clean: 
	rm -f *.o *.s *.i librle.a

=== pbm/pbmtoppa/Makefile ===
SRCDIR = ../..
BUILDDIR = $(SRCDIR)
include $(BUILDDIR)/Makefile.config

LIBOPT = $(BUILDDIR)/libopt

PBMDIR = $(BUILDDIR)/pbm
LIBPBM = $(NETPBMSHLIBPREFIX)pbm.$(NETPBMLIBSUFFIX)

NETPBMLIBS = $(PBMDIR)/$(LIBPBM)

INCLUDE = -I$(SRCDIR)/shhopt

all: pbmtoppa

merge: pbmtoppa

pbmtoppa: pbmtoppa.o ppa.o pbm.o cutswath.o $(NETPBMLIBS) $(LIBOPT)
	$(LD) $(LDFLAGS) -o pbmtoppa pbmtoppa.o ppa.o pbm.o cutswath.o \
	  `$(LIBOPT) $(NETPBMLIBS)`

HEADERLINKS = pm_config.h pm.h pbm.h

%.o: %.c $(HEADERLINKS)
	$(CC) $(CFLAGS) $(INCLUDE) -c $< -o $@

.PHONY: install.bin
install.bin: install.bin.common

.PHONY: install.man
install.man: install.man.common

$(PBMDIR)/$(LIBPBM): FORCE
	cd $(PBMDIR) ; $(MAKE) $(LIBPBM)

BINARIES=pbmtoppa
MANUALS1=pbmtoppa

include $(SRCDIR)/Makefile.common

clean: clean.common

FORCE:

=== pnm/fiasco/Makefile ===
SRCDIR=../..
BUILDDIR = $(SRCDIR)

include $(BUILDDIR)/Makefile.config

LIBOPT = $(BUILDDIR)/libopt

PNMDIR = $(BUILDDIR)/pnm
LIBPNM = $(NETPBMSHLIBPREFIX)pnm.$(NETPBMLIBSUFFIX)

PPMDIR = $(BUILDDIR)/ppm
LIBPPM = $(NETPBMSHLIBPREFIX)ppm.$(NETPBMLIBSUFFIX)

PGMDIR = $(BUILDDIR)/pgm
LIBPGM = $(NETPBMSHLIBPREFIX)pgm.$(NETPBMLIBSUFFIX)

PBMDIR = $(BUILDDIR)/pbm
LIBPBM = $(NETPBMSHLIBPREFIX)pbm.$(NETPBMLIBSUFFIX)

INCLUDE = -I$(SRCDIR)/shhopt -I. -Icodec -Iinput -Ioutput -Ilib

NETPBMLIBS = $(PNMDIR)/$(LIBPNM) \
           $(PPMDIR)/$(LIBPPM) $(PGMDIR)/$(LIBPGM) $(PBMDIR)/$(LIBPBM) 

BINARIES = pnmtofiasco fiascotopnm

MANUALS1 = $(BINARIES)

all: $(BINARIES)

pnmtofiasco_OBJECTS = binerror.o cwfa.o getopt.o getopt1.o params.o
fiascotopnm_OBJECTS =  binerror.o dwfa.o getopt.o getopt1.o params.o

OBJECTS = binerror.o cwfa.o getopt.o getopt1.o params.o dwfa.o

FIASCOLIBS = codec/libfiasco_codec.a input/libfiasco_input.a \
	    output/libfiasco_output.a lib/libfiasco_lib.a 

pnmtofiasco: $(pnmtofiasco_OBJECTS) $(FIASCOLIBS) $(LIBOPT) $(NETPBMLIBS)
	$(LD) $(LDFLAGS) -o $@ $(pnmtofiasco_OBJECTS) \
	`$(LIBOPT) $(FIASCOLIBS)` \
	 `$(LIBOPT) $(NETPBMLIBS)` -lm $(CDEBUG)

fiascotopnm: $(fiascotopnm_OBJECTS) $(FIASCOLIBS) $(LIBOPT)
	$(LD) $(LDFLAGS) -o $@ $(fiascotopnm_OBJECTS) \
	`$(LIBOPT) $(FIASCOLIBS)` \
	 `$(LIBOPT) $(NETPBMLIBS)` -lm $(CDEBUG)

$(pnmtofiasco_OBJECTS) $(fiascotopnm_OBJECTS): \
	fiasco.h config.h

codec/libfiasco_codec.a: FORCE
	$(MAKE) -C codec libfiasco_codec.a

input/libfiasco_input.a: FORCE
	$(MAKE) -C input libfiasco_input.a

output/libfiasco_output.a: FORCE
	$(MAKE) -C output libfiasco_output.a

lib/libfiasco_lib.a: FORCE
	$(MAKE) -C lib libfiasco_lib.a

.PHONY: install.bin
install.bin: install.bin.common

.PHONY: install.man
install.man: install.man.common

# And libraries.
$(PBMDIR)/$(LIBPBM): FORCE
	$(MAKE) -C $(PBMDIR) $(LIBPBM)
$(PGMDIR)/$(LIBPGM): FORCE
	$(MAKE) -C $(PGMDIR) $(LIBPGM)
$(PPMDIR)/$(LIBPPM): FORCE
	$(MAKE) -C $(PPMDIR) $(LIBPPM)
$(PNMDIR)/$(LIBPNM): FORCE
	$(MAKE) -C $(PNMDIR) $(LIBPNM)

HEADERLINKS = pm_config.h pm.h pbm.h pgm.h ppm.h pnm.h

include $(SRCDIR)/Makefile.common

.PHONY: clean
clean: clean.common
	$(MAKE) -C codec clean
	$(MAKE) -C input clean
	$(MAKE) -C output clean
	$(MAKE) -C lib clean

FORCE:

=== pnm/jbig/Makefile ===
SRCDIR=../..
BUILDDIR = $(SRCDIR)

include $(BUILDDIR)/Makefile.config

LIBOPT = $(BUILDDIR)/libopt

PNMDIR = $(BUILDDIR)/pnm
LIBPNM = $(NETPBMSHLIBPREFIX)pnm.$(NETPBMLIBSUFFIX)

PPMDIR = $(BUILDDIR)/ppm
LIBPPM = $(NETPBMSHLIBPREFIX)ppm.$(NETPBMLIBSUFFIX)

PGMDIR = $(BUILDDIR)/pgm
LIBPGM = $(NETPBMSHLIBPREFIX)pgm.$(NETPBMLIBSUFFIX)

PBMDIR = $(BUILDDIR)/pbm
LIBPBM = $(NETPBMSHLIBPREFIX)pbm.$(NETPBMLIBSUFFIX)

INCLUDE = -I$(SRCDIR)/shhopt

NETPBMLIBS = $(PNMDIR)/$(LIBPNM) \
           $(PPMDIR)/$(LIBPPM) $(PGMDIR)/$(LIBPGM) $(PBMDIR)/$(LIBPBM) 

BINARIES = jbigtopnm pnmtojbig
OBJECTS = $(patsubst %, %.o, $(BINARIES)) jbig.o jbig_tab.o

MANUALS1 = $(BINARIES)

all: $(BINARIES)

$(BINARIES): %: %.o jbig.o jbig_tab.o $(NETPBMLIBS) $(LIBOPT)
	$(LD) $(LDFLAGS) -o $@ $< jbig.o jbig_tab.o `$(LIBOPT) $(NETPBMLIBS)` \
	  $(CDEBUG)


.PHONY: install.bin
install.bin: install.bin.common

.PHONY: install.man
install.man: install.man.common

# And libraries.
$(PBMDIR)/$(LIBPBM): FORCE
	$(MAKE) -C $(PBMDIR) $(LIBPBM)
$(PGMDIR)/$(LIBPGM): FORCE
	$(MAKE) -C $(PGMDIR) $(LIBPGM)
$(PPMDIR)/$(LIBPPM): FORCE
	$(MAKE) -C $(PPMDIR) $(LIBPPM)
$(PNMDIR)/$(LIBPNM): FORCE
	$(MAKE) -C $(PNMDIR) $(LIBPNM)

HEADERLINKS = pm_config.h pm.h pbm.h pgm.h ppm.h pnm.h

include $(SRCDIR)/Makefile.common

.PHONY: clean
clean: clean.common

FORCE:

=== pnm/pnmtopalm/Makefile ===
SRCDIR = ../..
BUILDDIR = $(SRCDIR)
SRCSUBDIR = $(SRCDIR)/pnm/pnmtopalm

include $(BUILDDIR)/Makefile.config

LIBOPT = $(BUILDDIR)/libopt

PNMDIR = $(BUILDDIR)/pnm
LIBPNM = $(NETPBMSHLIBPREFIX)pnm.$(NETPBMLIBSUFFIX)

PPMDIR = $(BUILDDIR)/ppm
LIBPPM = $(NETPBMSHLIBPREFIX)ppm.$(NETPBMLIBSUFFIX)

PGMDIR = $(BUILDDIR)/pgm
LIBPGM = $(NETPBMSHLIBPREFIX)pgm.$(NETPBMLIBSUFFIX)

PBMDIR = $(BUILDDIR)/pbm
LIBPBM = $(NETPBMSHLIBPREFIX)pbm.$(NETPBMLIBSUFFIX)

INCLUDE = -I$(SRCDIR)/shhopt

NETPBMLIBS = $(PNMDIR)/$(LIBPNM) \
           $(PPMDIR)/$(LIBPPM) $(PGMDIR)/$(LIBPGM) $(PBMDIR)/$(LIBPBM) 

BINARIES = palmtopnm pnmtopalm
OBJECTS = $(patsubst %, %.o, $(BINARIES)) palmcolormap.o

MANUALS1 = $(BINARIES)

all: $(BINARIES)

$(BINARIES): %: %.o palmcolormap.o $(NETPBMLIBS) $(LIBOPT)
	$(LD) $(LDFLAGS) -o $@ $< palmcolormap.o `$(LIBOPT) $(NETPBMLIBS)` \
	  $(CDEBUG)

gen_palm_colormap : $(SRCSUBDIR)/gen_palm_colormap.c palmcolormap.o
	$(CC) $(INCLUDE) $(CFLAGS) $(LDFLAGS) -o $@ $< palmcolormap.o \
	  `$(LIBOPT) $(NETPBMLIBS)` $(CDEBUG)


.PHONY: install.bin
install.bin: install.bin.common
# The following probably ought to be a separate install.data target, but
# today this is the only place in Netpbm that installs data files, and we're
# too lazy to add install.data to the whole package.  2001.01.07 BJH
	$(SRCDIR)/mkinstalldirs $(INSTALLDATA)
	for x in palmcolor8.map palmgray1.map palmgray2.map palmgray4.map ;\
	do \
	   $(INSTALL) -c -m $(INSTALL_PERM_DATA) $(SRCSUBDIR)/$$x \
               $(INSTALLDATA); \
	done

.PHONY: install.man
install.man: install.man.common

# And libraries.
$(PBMDIR)/$(LIBPBM): FORCE
	$(MAKE) -C $(PBMDIR) $(LIBPBM)
$(PGMDIR)/$(LIBPGM): FORCE
	$(MAKE) -C $(PGMDIR) $(LIBPGM)
$(PPMDIR)/$(LIBPPM): FORCE
	$(MAKE) -C $(PPMDIR) $(LIBPPM)
$(PNMDIR)/$(LIBPNM): FORCE
	$(MAKE) -C $(PNMDIR) $(LIBPNM)

HEADERLINKS = pm_config.h pm.h pbm.h pgm.h ppm.h pnm.h

include $(SRCDIR)/Makefile.common

.PHONY: clean
clean: clean.common
	rm -f gen_palm_colormap
FORCE:

=== ppm/ppmtompeg/Makefile ===
SRCDIR = ../..
BUILDDIR = $(SRCDIR)
include $(BUILDDIR)/Makefile.config

PPMDIR = $(BUILDDIR)/ppm
LIBPPM = $(NETPBMSHLIBPREFIX)ppm.$(NETPBMLIBSUFFIX)

PGMDIR = $(BUILDDIR)/pgm
LIBPGM = $(NETPBMSHLIBPREFIX)pgm.$(NETPBMLIBSUFFIX)

PBMDIR = $(BUILDDIR)/pbm
LIBPBM = $(NETPBMSHLIBPREFIX)pbm.$(NETPBMLIBSUFFIX)

NETPBMLIBS = $(PPMDIR)/$(LIBPPM) $(PGMDIR)/$(LIBPGM) $(PBMDIR)/$(LIBPBM) 

ifeq ($(JPEGLIB_DIR),NONE)
  JPEGLD =
  # 'nojpeg' is a module that implements all the jpeg access routines as
  # error messages that tell you we don't have jpeg capability
  JPEG_MODULE = nojpeg
else
  JPEGLD = -L$(JPEGLIB_DIR) -ljpeg
  # 'jpeg' is a module that accesses J-movies via the JPEG library.
  JPEG_MODULE = jpeg
endif

# shhopt is in the following for the benefit of make dep
INCLUDE = -I. -Iheaders -I$(SRCDIR)/shhopt
ifneq ($(JPEGHDR_DIR),NONE)
  INCLUDE += -I$(JPEGHDR_DIR)
endif

# use -DLONG_32 iff
#	1) long's are 32 bits and
#	2) int's are not
#
# if you are using a non-ANSI compiler, then use:
#	-DNON_ANSI_COMPILER
#
# one other option:
#	-DHEINOUS_DEBUG_MODE
#

MP_BASE_OBJS = mfwddct.o postdct.o huff.o bitio.o mheaders.o
MP_ENCODE_OBJS = iframe.o pframe.o bframe.o psearch.o bsearch.o block.o 
MP_OTHER_OBJS = mpeg.o subsample.o param.o rgbtoycc.o \
	readframe.o combine.o jrevdct.o frame.o fsize.o frametype.o \
	specifics.o rate.o opts.o
ifeq ($(NETWORKLD),NONE)
  MP_PARALLEL_OBJS = noparallel.o
  LIB_NETWORKLD =
else
  MP_PARALLEL_OBJS = parallel.o
  LIB_NETWORKLD = $(NETWORKLD)
endif
MP_ALL_OBJS = $(MP_BASE_OBJS) $(MP_OTHER_OBJS) $(MP_ENCODE_OBJS) \
	      $(MP_PARALLEL_OBJS) $(JPEG_MODULE).o main.o
MP_INCLUDE = mproto.h mtypes.h huff.h bitio.h
MP_MISC = Makefile huff.table parse_huff.pl

.PHONY: all merge
all merge: ppmtompeg

LIBOPT=$(BUILDDIR)/libopt

ppmtompeg: $(MP_ALL_OBJS) $(NETPBMLIBS) $(LIBOPT)
	$(LD) -o $@ $(LDFLAGS) $(INCLUDE) \
          $(MP_ALL_OBJS) `$(LIBOPT) $(NETPBMLIBS)` $(JPEGLD) $(LIB_NETWORKLD) -lm \
	  $(CDEBUG)

profile: $(MP_ALL_OBJS) $(NETPBMLIBS) $(LIBOPT)
	$(LD) -o $@ -Bstatic -pg $(LDFLAGS) $(INCLUDE) \
          $(MP_ALL_OBJS) `$(LIBOPT) $(NETPBMLIBS)` $(JPEGLD) $(LIB_NETWORKLD) -lm \
	  $(CDEBUG)


HEADERLINKS = pm_config.h pm.h pbm.h pgm.h ppm.h pnm.h

$(MP_ALL_OBJS) headers.o:%.o:%.c $(HEADERLINKS)
	$(CC) -c $< -o $@ $(CFLAGS) $(INCLUDE)

# And libraries.
$(PBMDIR)/$(LIBPBM): FORCE
	cd $(PBMDIR) ; $(MAKE) $(LIBPBM)
$(PGMDIR)/$(LIBPGM): FORCE
	cd $(PGMDIR) ; $(MAKE) $(LIBPGM)
$(PPMDIR)/$(LIBPPM): FORCE
	cd $(PPMDIR) ; $(MAKE) $(LIBPPM)


BINARIES = ppmtompeg
NOMERGEBINARIES = ppmtompeg
SCRIPTS = 
MANUALS1 = ppmtompeg
.PHONY: install.bin
install.bin: install.bin.common

.PHONY: install.man
install.man: install.man.common

include $(SRCDIR)/Makefile.common

#########
# OTHER #
#########

#
# Perl is necessary if you want to modify the Huffman RLE encoding table.
#
PERL = perl

# The following stuff is for the Huffman encoding tables.  It's commented-out
# because you probably don't want to change this.  If you do, then uncommment
# it.
#
# huff.h: huff.c
#
# huff.c: parse_huff.pl huff.table
#	$(PERL) parse_huff.pl huff.table

MP_ALL_SRCS = $(patsubst %.o, %.c, $(MP_ALL_OBJS))

depend: huff.c
	makedepend -- $(CFLAGS) $(INCLUDE) -- $(MP_ALL_SRCS)

wc:;		wc -l *.[ch] headers/*.h *.pl *.table
ci:;		ci -l $(MP_ALL_SRCS) $(MP_INCLUDE) $(MP_MISC)
tags: $(MP_ALL_SRCS)
	ctags -t $(MP_ALL_SRCS)
	etags -f TAGS -t $(MP_ALL_SRCS) headers/*.h

new:    clean
	$(MAKE) depend
	$(MAKE) tags

clean: clean.common

#
# WARNING: this assumes you're using GNU indent...
#
indent:;	indent -T FILE -T int8 -T int16 -T int32 -T uint8 -T uint16 -T uint32  -T BitBucket -T MpegFrame -T Block -T FlatBlock $(MP_ALL_SRCS)

spotless: clean	
	rm -f huff.c huff.h *.pure.a

FORCE:

# 
# Copyright (c) 1995 The Regents of the University of California.
# All rights reserved.
# 
# Permission to use, copy, modify, and distribute this software and its
# documentation for any purpose, without fee, and without written agreement is
# hereby granted, provided that the above copyright notice and the following
# two paragraphs appear in all copies of this software.
# 
# IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
# DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT
# OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF
# CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 
# THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
# ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
# PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
# 


##############################################################################
# DO NOT DELETE THIS LINE -- make depend depends on it.

=== pnm/fiasco/codec/Makefile ===
SRCDIR=../../..
BUILDDIR = $(SRCDIR)

include $(BUILDDIR)/Makefile.config

INCLUDE = -I$(SRCDIR)/shhopt -I. -I.. -I../lib -I../input -I../output

OBJECTS =  approx.o bintree.o coder.o coeff.o \
           control.o decoder.o dfiasco.o domain-pool.o ip.o motion.o mwfa.o \
           options.o prediction.o subdivide.o tiling.o wfalib.o

all: libfiasco_codec.a

libfiasco_codec.a: $(OBJECTS)
	$(AR) -rc $@ $(OBJECTS)
	$(RANLIB) $@

.PHONY: clean
clean: clean.common

HEADERLINKS = pm_config.h pm.h pbm.h pgm.h ppm.h pnm.h

include $(SRCDIR)/Makefile.common

## netpbm-free 9.25-9.backports.org.1

=== pbm/Makefile ===
--- 
+++ 
@@ -4,23 +4,7 @@
 
 include $(BUILDDIR)/Makefile.config
 
-
 INCLUDE = -I$(SRCDIR)/shhopt
-
-# Shared library naming
-LIBROOT = pbm
-LIBPBM = $(NETPBMSHLIBPREFIX)$(LIBROOT).$(NETPBMLIBSUFFIX)
-ifeq ($(STATICLIB_TOO),y)
-EXTRA_STATICLIB = lib$(LIBROOT).$(STATICLIBSUFFIX)
-else
-EXTRA_STATICLIB =
-endif
-
-MAJ = 9
-MIN = 19
-
-LIBLIBS = 
-NETPBMLIBS = $(LIBPBM)
 
 PORTBINARIES =	atktopbm brushtopbm cmuwmtopbm g3topbm \
 		icontopbm macptopbm mdatopbm mgrtopbm \
@@ -51,7 +35,7 @@
 MERGE_OBJECTS = $(patsubst %,%.o2, $(MERGEBINARIES))
 
 # Library objects to be built and linked by Makefile.common:
-LIBOBJECTS = libpm.o libpbm1.o libpbm2.o libpbm3.o libpbm4.o libpbm5.o 
+LIBOBJECTS = libpm.o libpbm1.o libpbm2.o libpbm3.o libpbm4.o libpbm5.o bitio.o
 ifneq (${VMS}x,x)
 LIBOBJECTS += libpbmvms.o
 endif
@@ -64,32 +48,11 @@
 
 MERGENAME = pbmmerge
 
-INTERFACE_HEADERS = pm.h pbm.h
-
-.PHONY: all
-all:	$(LIBPBM) $(BINARIES) $(EXTRA_STATICLIB)
-	$(MAKE) -C pbmtoppa all
+all:	build.bin
 
 .PHONY: merge
 merge: $(MERGENAME)
 	$(MAKE) -C pbmtoppa all
-
-.PHONY: install.bin
-install.bin: install.bin.common
-	$(MAKE) -C pbmtoppa install.bin
-
-.PHONY: install.merge
-install.merge: install.merge.common
-	$(MAKE) -C pbmtoppa install.bin
-
-.PHONY: install.lib
-install.lib: install.lib.common
-
-.PHONY: install.man
-install.man: install.man.common
-	$(MAKE) -C pbmtoppa install.man
-
-HEADERLINKS = pm_config.h version.h compile.h
 
 include $(SRCDIR)/Makefile.common
 
@@ -98,9 +61,6 @@
 # every build of "all" from the Netpbm top directory, but nowhere
 # else, so it was really sloppy.
 
-compile.h:
-	$(SRCDIR)/stamp-date
-
 $(BUILDDIR)/shhopt/shhopt.o:
 	cd ../shhopt; $(MAKE) shhopt.o
 $(BUILDDIR)/shhopt/libshhopt.a:
@@ -108,7 +68,6 @@
 
 .PHONY: clean
 clean: clean.common
-	rm -f thinkjettopbm.c
 	$(MAKE) -C pbmtoppa clean
 
 FORCE:

=== pnm/Makefile ===
SRCDIR = ..
BUILDDIR = ..
include $(BUILDDIR)/Makefile.config

URTDIR = $(BUILDDIR)/urt
LIBURT = librle.a

INCLUDE = -I$(SRCDIR)/shhopt
ifneq ($(TIFFHDR_DIR),NONE)
  INCLUDE += -I$(TIFFHDR_DIR)
endif
ifneq ($(PNGHDR_DIR),NONE)
  INCLUDE += -I$(PNGHDR_DIR)
  INCLUDE += -I$(ZHDR_DIR)
endif
ifneq ($(JPEGHDR_DIR),NONE)
  INCLUDE += -I$(JPEGHDR_DIR)
endif
ifneq ($(URTHDR_DIR),NONE)
  INCLUDE += -I$(URTHDR_DIR)
endif

ifeq ($(JPEGLIB_DIR),NONE)
  JPEGLD =
else
  JPEGLD = -L$(JPEGLIB_DIR) -ljpeg
  ifeq ($(NEED_RUNTIME_PATH),Y)
    JPEGLD += -R$(JPEGLIB_DIR)
  endif
endif

ifeq ($(PNGLIB_DIR),NONE)
  PNGLD =
else
  PNGLD = -L$(PNGLIB_DIR) -lpng
  ifeq ($(NEED_RUNTIME_PATH),Y)
    PNGLD += -R$(PNGLIB_DIR)
  endif
endif

ifeq ($(URTLIB_DIR),NONE)
  URTLD =
else
  URTLD = -L$(URTLIB_DIR) -lrle
  ifeq ($(NEED_RUNTIME_PATH),Y)
    URTLD += -R$(URTLIB_DIR)
  endif
endif

ifeq ($(TIFFLIB_DIR),NONE)
  TIFFLD =
else
  TIFFLD = -L$(TIFFLIB_DIR) -ltiff
  ifeq ($(NEED_RUNTIME_PATH),Y)
    TIFFLD += -R$(TIFFLIB_DIR)
  endif
endif

ifeq ($(ZLIB_DIR),NONE)
  ZLD =
else
  ZLD = -L$(ZLIB_DIR) -lz
  ifeq ($(NEED_RUNTIME_PATH),Y)
    ZLD += -R$(ZLIB_DIR)
  endif
endif



# We tend to separate out the build targets so that we don't have
# any more dependencies for a given target than it really needs.
# That way, if there is a problem with a dependency, we can still
# successfully build all the stuff that doesn't depend upon it.
# This package is so big, it's useful even when some parts won't 
# build.

PORTBINARIES =  bmptopnm fitstopnm gemtopnm giftopnm pamcut \
		pamdeinterlace pamdice pamfile pamoil pamstretch \
		pnmalias pnmarith pnmcat pnmcomp pnmconvol pnmcrop \
		pnmcut pnmdepth pnmenlarge pnmfile pnmflip pnmhisteq \
		pnmhistmap pnminvert pnmmontage pnmpad pnmpaste \
		pnmnorm \
		pnmremap pnmsmooth pnmsplit \
		pnmtile pnmtoddif pnmtofits \
		pnmtoplainpnm pnmtops pnmtorast \
		pnmtosgi pnmtosir pnmtoxwd pstopnm \
		rasttopnm sgitopnm sirtopnm xwdtopnm zeisstopnm
MATHBINARIES =	pnmcolormap pnmgamma pnmnlfilt pnmpsnr pnmrotate \
	pnmscale pnmscalefixed pnmshear

# We don't include programs that have special library dependencies in the
# merge scheme, because we don't want those dependencies to prevent us
# from building all the other programs.

NOMERGEBINARIES = 
ifneq ($(PNGHDR_DIR),NONE)
  ifneq ($(PNGLIB_DIR),NONE)
    NOMERGEBINARIES += pnmtopng pngtopnm
  endif
endif
ifneq ($(JPEGHDR_DIR),NONE)
  ifneq ($(JPEGLIB_DIR),NONE)
    NOMERGEBINARIES += jpegtopnm pnmtojpeg
  endif
endif
ifneq ($(TIFFHDR_DIR),NONE)
  ifneq ($(TIFFLIB_DIR),NONE)
    NOMERGEBINARIES += tifftopnm pnmtotiff pnmtotiffcmyk
  endif
endif
ifneq ($(URTHDR_DIR),NONE)
  ifneq ($(URTLIB_DIR),NONE)
    NOMERGEBINARIES +=  rletopnm pnmtorle
  endif
endif

MERGEBINARIES = $(PORTBINARIES) $(MATHBINARIES)


BINARIES = $(MERGEBINARIES) $(NOMERGEBINARIES)
SCRIPTS = anytopnm pamstretch-gen pnmindex pnmmargin pnmquant 
# MERGE_ALIASES is additional names to be linked to the merge binary which are
# alternate names for a program whose source is called something else.
# Every name here must be referenced in pnmmerge.c.
MERGE_ALIASES = pnmnoraw gemtopbm

OBJECTS = $(patsubst %, %.o, $(BINARIES)) exif.o

MERGE_OBJECTS = $(patsubst %,%.o2, $(MERGEBINARIES))

MANUALS1 = $(BINARIES) $(SCRIPTS)
MANUALS3 = libpnm
MANUALS5 = pam pnm

MERGENAME = pnmmerge

# The Tiff library references math functions.
# dsc@clara.net reports his Tiff library depending on Zlib on 2001.12.26.
# it never did before.
tifftopnm pnmtotiff pnmtotiffcmyk: %: %.o $(NETPBMLIB)
	$(LD) $(LDFLAGS) -o $@ $@.o $(NETPBMLIB) \
	  $(TIFFLD) $(ZLD) $(JPEGLD) -lm $(TIFFLIB_LDFLAGS) $(CDEBUG)

pngtopnm pnmtopng: %: %.o $(NETPBMLIB)
	$(LD) $(LDFLAGS) -o $@ $@.o $(NETPBMLIB) \
	  $(PNGLD) $(ZLD) -lm $(CDEBUG)

jpegtopnm: %: %.o exif.o $(NETPBMLIB)
	$(LD) $(LDFLAGS) -o $@ $< exif.o $(NETPBMLIB) $(JPEGLD) \
	   -lm $(CDEBUG) 

pnmtojpeg: %: %.o $(NETPBMLIB)
	$(LD) $(LDFLAGS) -o $@ $@.o $(NETPBMLIB) \
	  -L$(JPEGLIB_DIR) -ljpeg $(CDEBUG)

ifeq ($(URTLIB_DIR),$(URTDIR))
# We're using the internal URT library, so make sure it's built
URTLIB_DEP = $(URTDIR)/$(LIBURT)
else
# It's user's own URT library, so if it doesn't exist now -- too bad.
URTLIB_DEP = 
endif

rletopnm pnmtorle: %: %.o $(NETPBMLIB) $(URTLIB_DEP)
	$(LD) $(LDFLAGS) -o $@ $@.o $(NETPBMLIB) \
	  $(URTLD) $(CDEBUG)

$(URTDIR)/$(LIBURT): FORCE
	$(MAKE) -C $(URTDIR) $(LIBURT)

include $(SRCDIR)/Makefile.common

.PHONY: clean
clean: clean.common
	$(MAKE) -C fiasco clean
	$(MAKE) -C pnmtopalm clean

FORCE:

=== debian/changelog ===
netpbm-free (2:9.25-9.backports.org.1) stable; urgency=low

  * build-depend on libpng2-dev instead of libpng12-dev
  * compiled on woody for backports.org. You might reports on this version to
    the Debian BTS.

 -- Andreas Barth <aba@not.so.argh.org>  Mon, 10 Nov 2003 22:10:37 +0100

netpbm-free (2:9.25-9) unstable; urgency=high

  * There are more bugs. Some are critical and fixed into this release; the
    others are more aesthetical, and mentioned in TODO.

 -- Andreas Barth <aba@not.so.argh.org>  Mon, 10 Nov 2003 22:10:37 +0100

netpbm-free (2:9.25-8) unstable; urgency=high

  * Next round in fixing security bugs; also repaired pamstretch-gen.

 -- Andreas Barth <aba@not.so.argh.org>  Tue,  4 Nov 2003 22:53:21 +0100

netpbm-free (2:9.25-7) unstable; urgency=high

  * Fixed security bug (insecure tmpfile-handling) in anytopnm, pnminterp-gen
    and others. Closes: #219019

 -- Andreas Barth <aba@not.so.argh.org>  Tue,  4 Nov 2003 08:35:01 +0100

netpbm-free (2:9.25-6) unstable; urgency=low

  * Fixed bug in pnmnorm. Closes: #213366
  * added a space in debian/control.
  * polished the docu a bit.

 -- Andreas Barth <aba@not.so.argh.org>  Sat,  4 Oct 2003 10:56:50 +0200

netpbm-free (2:9.25-5) unstable; urgency=low

  * Should really work on hppa this time. Closes: #211271

 -- Andreas Barth <aba@not.so.argh.org>  Thu, 18 Sep 2003 17:44:15 +0200

netpbm-free (2:9.25-4) unstable; urgency=low

  * changed wrong builded libary file, FTBFS. Closes: #211271
  * corrected spelling error

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 17 Sep 2003 12:26:14 +0200

netpbm-free (2:9.25-3) unstable; urgency=low

  * autosizing of rawtopgm works. Closes: #199053
  * ppmcie use lower case x and y for chromaticities. Closes: #176313
  * libraries are compiled correct now: with -D_REENTRANT and if 
    (and only if) shared, also with -fPIC.
  * created unified libs in libnetpbm10-*, and set libnetpbm9-* to
    deprecated (but still produce them).
  * using debhelper V4 commands and reworked debian/rules and Makefiles.

 -- Andreas Barth <aba@not.so.argh.org>  Tue, 02 Sep 2003 10:44:50 +0200

netpbm-free (2:9.25-2) unstable; urgency=low

  * "brown paperbag release":
    Building works, and libpng12 is used. Closes: #207451
  * twisted the uploader field a bit to get correct closing of bug reports
  * updated to standard 3.6.1.0; moved libnetpbm9-dev to libdevel
  * made package linda/lintian clean (except where I'm sure that I'm right)
  * updated copyright and README.Debian
  * added pnmnorm (must be slipped through). Closes: #207483

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 27 Aug 2003 16:29:18 +0200

netpbm-free (2:9.25-1) unstable; urgency=low

  * moved to alioth, new maintainer, and found a way to handle upstream (this
    means that from now on we're treating netpbm-free as a native package)
  * pnmnorm replaces pgmnorm, pamoil replaces pgmoil
  * Uses POSIX-compatible commands. Closes: #204890
  * Documentation bug. Closes: #199047, #206162
  * Defaults to a fillorder at tifftopnm. Closes: #150815
  * Build-dep libpng10. Closes: #196852 (for woody: change this yourself back)
  * Speed up pnmscale with <=256 colors. Closes: #187395
  * Rewrote upstream Makefiles in a a bit more sensible way.
  * removed jbig support due to patent issues.

 -- Andreas Barth <aba@not.so.argh.org>  Thu, 21 Aug 2003 17:25:56 +0200

netpbm-free (2:9.20-10) unstable; urgency=medium

  * Rebuilt -9 on a clean sid system to ensure libpng consistency. Closes: #185384, #185480.

 -- Steve McIntyre <93sam@debian.org>  Wed, 19 Mar 2003 20:50:42 +0000

netpbm-free (2:9.20-9) unstable; urgency=high

  * sid release using the woody fixes in -8.1 and -8.2.

 -- Steve McIntyre <93sam@debian.org>  Sat, 15 Mar 2003 02:11:07 +0000

netpbm-free (2:9.20-8.2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied another patch by Alan Cox

 -- Martin Schulze <joey@infodrom.org>  Fri, 28 Feb 2003 16:07:29 +0100

netpbm-free (2:9.20-8.1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied patch from Alan Cox plus corrections to fix multiple
    vulnerabilities (VU#378049, VU#630433)

 -- Martin Schulze <joey@infodrom.org>  Fri, 28 Feb 2003 12:21:40 +0100

netpbm-free (2:9.20-8) unstable; urgency=low

  * Dropped Depends: on gs to Recommends after user requests. Closes: #138864.
  * Make sure that we clean up the netpbm-shhopt.h symlink properly. Closes: #140653

 -- Steve McIntyre <93sam@debian.org>  Mon, 01 Apr 2002 18:57:38 +0100

netpbm-free (2:9.20-7) unstable; urgency=high

  * Fixed Conflicts: on netpbm against netpbm-dev more explicitly. Closes: #138968

 -- Steve McIntyre <93sam@debian.org>  Sun, 17 Mar 2002 08:27:22 +0000

netpbm-free (2:9.20-6) unstable; urgency=high

  * Added Provides: netpbm-dev to help upgrades.
  * Specify Depends: on libnetpbm9 more explicitly. Closes: #137077 (grave bug)

 -- Steve McIntyre <93sam@debian.org>  Tue, 12 Mar 2002 22:26:20 +0000

netpbm-free (2:9.20-5) unstable; urgency=low

  * Added dependency on gs | gs-aladdin. Closes: #135464.
  * Updated Standards-Version.

 -- Steve McIntyre <93sam@debian.org>  Sun, 03 Mar 2002 18:47:15 +0000

netpbm-free (2:9.20-4) unstable; urgency=low

  * Add missing symbols to libnetpbm.a. Closes: #122169

 -- Steve McIntyre <93sam@debian.org>  Wed, 19 Dec 2001 16:49:15 +0000

netpbm-free (2:9.20-3) unstable; urgency=low

  * Patch from upstream to fix seg-fault. Closes: #114022

 -- Steve McIntyre <93sam@debian.org>  Mon, 05 Nov 2001 23:45:15 +0000

netpbm-free (2:9.20-2) unstable; urgency=low

  * Re-added ppmquantall script. Closes: #117001.
  * Modified postinst to be safer with ldconfig, as per lintian.

 -- Steve McIntyre <93sam@debian.org>  Sun, 04 Nov 2001 17:24:15 +0000

netpbm-free (2:9.20-1) unstable; urgency=low

  * New upstream release.
  * Upstream change: photometric interpretation fixed. Closes: #110314


=== debian/control ===
Source: netpbm-free
Section: graphics
Priority: optional
Maintainer: A. Barth (sponsored by Steve McIntyre) <93sam-sponsoring-aba@klecker.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>, Andreas Barth <aba@not.so.argh.org>
Standards-Version: 3.6.1.0
Build-Depends: libtiff3g-dev, libjpeg62-dev, debhelper (>= 4), libpng2-dev, zlib1g-dev, flex, sed

Package: netpbm
Architecture: any
Depends: bc, libnetpbm10 (>= ${Source-Version}), ${shlibs:Depends}
Recommends: gs | gs-aladdin
Conflicts: netpbm-nonfree (<= 1:19940301.1-3), pnmtopng, pbmwbmp, netpbm-dev (<= 2:9.10), ucbmpeg (<= 1r2-6)
Replaces: pnmtopng, pbmwbmp, netpbm-dev, netpbm-nonfree (<= 19940301.1-5)
Provides: pnmtopng, pbmwbmp
Description: Graphics conversion tools
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.
 .
 Website is http://netpbm.alioth.debian.org/
Section: graphics

Package: libnetpbm10
Architecture: any
Depends: ${shlibs:Depends}
Description: Shared libraries for netpbm
 This package contains the shared libraries used by netpbm.
Section: libs

Package: libnetpbm10-dev
Architecture: any
Depends: libnetpbm10
Conflicts: netpbm-dev,libnetpbm9-dev
Replaces: netpbm-dev
Provides: netpbm-dev
Description: Development libraries and header files
 This development package contains the library and header
 files for the pbm, pgm, pnm, and ppm graphics formats.
Section: libdevel

Package: libnetpbm9
Architecture: any
Depends: ${shlibs:Depends}
Description: Shared libraries for netpbm
 This package contains shared libraries used to be used by netpbm.
 Now we've switched to a single shared library, look out for libnetpbm10.
 This package is provided for backward compatibility.
Section: libs

Package: libnetpbm9-dev
Architecture: any
Depends: libnetpbm9
Conflicts: netpbm-dev
Replaces: netpbm-dev
Provides: netpbm-dev
Description: Development libraries and header files
 This development package contains the library and header
 files for the pbm, pgm, pnm, and ppm graphics formats, if the splitted
 and now deprecated libraries are used.
 .
 This package is provided for backward compatibility.
Section: libdevel
